Alokai

SapccApiGetAvailableProductsRequest

Request parameters for getAvailableProducts operation in SapccApi. SapccApiGetAvailableProductsRequest

interface SapccApiGetAvailableProductsRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly currentPage?: number;
	readonly entryGroupNumber: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly query?: string;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiGetAvailableProducts
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiGetAvailableProducts
currentPageOptionalnumberCurrent result page. Default value is 0. {number} SapccApiGetAvailableProducts
entryGroupNumberRequirednumberEach entry group in a cart has a specific entry group number. Entry group numbers are integers starting at one. They are defined in ascending order. {number} SapccApiGetAvailableProducts
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {string} SapccApiGetAvailableProducts
pageSizeOptionalnumberNumber of results returned per page. {number} SapccApiGetAvailableProducts
queryOptionalstringFormatted query string. It contains query criteria like free text search, facet. The format is <freeTextSearch>:<sort>:<facetKey1>:<facetValue1>:...:<facetKeyN>:<facetValueN>. {string} SapccApiGetAvailableProducts
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetAvailableProducts
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiGetAvailableProducts

On this page